Package net.shibboleth.idp.profile.support

# Class RethrowingFlowHandlerAdapter

java.lang.Object
org.springframework.context.support.ApplicationObjectSupport
org.springframework.web.context.support.WebApplicationObjectSupport
org.springframework.web.servlet.support.WebContentGenerator
org.springframework.webflow.mvc.servlet.FlowHandlerAdapter
net.shibboleth.idp.profile.support.RethrowingFlowHandlerAdapter

All Implemented Interfaces:
  `Aware`, `InitializingBean`, `ApplicationContextAware`, `ServletContextAware`, `HandlerAdapter`

public class RethrowingFlowHandlerAdapter extends FlowHandlerAdapter
Extension of SWF's built-in `FlowHandlerAdapter` implementation that overrides its poor assumption that a missing flow exception should result in the flow being restarted.

## Field Summary

### Fields inherited from class org.springframework.web.servlet.support.WebContentGenerator

`HEADER_CACHE_CONTROL, METHOD_GET, METHOD_HEAD, METHOD_POST`

## Constructor Summary

Constructors
Constructor
Description
`RethrowingFlowHandlerAdapter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`defaultHandleException(String flowId, FlowException e, HttpServletRequest request, HttpServletResponse response)`

### Methods inherited from class org.springframework.webflow.mvc.servlet.FlowHandlerAdapter

`afterPropertiesSet, createServletExternalContext, defaultCreateFlowExecutionInputMap, defaultGetFlowId, defaultHandleExecutionOutcome, getAjaxHandler, getFlowExecutor, getFlowUrlHandler, getHosts, getLastModified, getRedirectHttp10Compatible, getSaveOutputToFlashScopeOnRedirect, handle, isRemoteHost, sendRedirect, setAjaxHandler, setFlowExecutor, setFlowUrlHandler, setHosts, setRedirectHttp10Compatible, setSaveOutputToFlashScopeOnRedirect, setStatusCode, supports`

### Methods inherited from class org.springframework.web.servlet.support.WebContentGenerator

`applyCacheControl, applyCacheSeconds, checkRequest, getAllowHeader, getCacheControl, getCacheSeconds, getSupportedMethods, getVaryByRequestHeaders, isRequireSession, prepareResponse, setCacheControl, setCacheSeconds, setRequireSession, setSupportedMethods, setVaryByRequestHeaders`

### Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport

`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

### Methods inherited from class org.springframework.context.support.ApplicationObjectSupport

`getApplicationContext, getMessageSourceAccessor, initApplicationContext, obtainApplicationContext, requiredContextClass, setApplicationContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RethrowingFlowHandlerAdapter

public RethrowingFlowHandlerAdapter()

## Method Details

### defaultHandleException

protected void defaultHandleException(String flowId, FlowException e, HttpServletRequest request, HttpServletResponse response) throws IOException

Overrides:
  `defaultHandleException` in class `FlowHandlerAdapter`
Throws:
  `IOException`